Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.tracing
Class HagensBiDiStrategie1

    java.lang.Object
      de.grogra.ray.tracing.HagensBiDiStrategie1

All Implemented Interfaces:
  BidirectionalPathTracer.PathingStrategies

    public class HagensBiDiStrategie1

extends java.lang.Object
implements BidirectionalPathTracer.PathingStrategies

Nested Class Summary
`class` | `HagensBiDiStrategie1.RTPseudoLight`

Constructor Summary
`HagensBiDiStrategie1()`

Method Summary
`HagensBiDiStrategie1.RTPseudoLight` | `generatePseudoLight(Ray rayIn, Ray rayOut, ShadingEnvironment env, RTShader shader, Color3f color)`
`void` | `getColorFromRay(Ray ray, Color4f color)`
`LightProcessor` | `getLightProcessor()`
`static RTLight[]` | `getLights(RTScene scene)`
`Ray` | `getMostProbableRay(RayList rays, int seed)`
`int` | `getRecursionDepth()`
`void` | `prepareRayProcessor(RTScene scene, IntersectionProcessor intersectionProcessor)`
`void` | `setIntersectionProcessor(IntersectionProcessor processor)`
`void` | `setLightProcessor(LightProcessor model)`
`void` | `setRecursionDepth(int value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HagensBiDiStrategie1

    public HagensBiDiStrategie1()

Method Detail

### generatePseudoLight

    public HagensBiDiStrategie1.RTPseudoLight generatePseudoLight(Ray rayIn,
                                                                  Ray rayOut,
                                                                  ShadingEnvironment env,
                                                                  RTShader shader,
                                                                  Color3f color)

### getColorFromRay

    public void getColorFromRay(Ray ray,
                                Color4f color)

  Specified by:
    `getColorFromRay` in interface `BidirectionalPathTracer.PathingStrategies`

### getLightProcessor

    public LightProcessor getLightProcessor()

  Specified by:
    `getLightProcessor` in interface `BidirectionalPathTracer.PathingStrategies`

### getLights

    public static RTLight[] getLights(RTScene scene)

### getMostProbableRay

    public Ray getMostProbableRay(RayList rays,
                                  int seed)

### getRecursionDepth

    public int getRecursionDepth()

  Specified by:
    `getRecursionDepth` in interface `BidirectionalPathTracer.PathingStrategies`

### prepareRayProcessor

    public void prepareRayProcessor(RTScene scene,
                                    IntersectionProcessor intersectionProcessor)

  Specified by:
    `prepareRayProcessor` in interface `BidirectionalPathTracer.PathingStrategies`

### setIntersectionProcessor

    public void setIntersectionProcessor(IntersectionProcessor processor)

  Specified by:
    `setIntersectionProcessor` in interface `BidirectionalPathTracer.PathingStrategies`

### setLightProcessor

    public void setLightProcessor(LightProcessor model)

  Specified by:
    `setLightProcessor` in interface `BidirectionalPathTracer.PathingStrategies`

### setRecursionDepth

    public void setRecursionDepth(int value)

  Specified by:
    `setRecursionDepth` in interface `BidirectionalPathTracer.PathingStrategies`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD